%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
Summary: API documentation generation tool for GTK+ and GNOME
Name: 		gtk-doc
Version: 1.11
Release: 	%mkrel 3
License: 	GPLv2+ and GFDL
Group: 		Development/GNOME and GTK+
Source:		http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/%{name}-%{version}.tar.bz2
#gw from svn, handle files with spaces in the name, used in The Gimp
# http://bugzilla.gnome.org/show_bug.cgi?id=575574
Patch:		gtk-doc-r705-fix-files-with-spaces.patch
BuildRequires:	libxslt-proc
BuildRequires:	openjade
BuildRequires:  docbook-dtd43-xml
BuildRequires:  docbook-style-xsl
BuildRequires:  scrollkeeper
BuildRequires:  gnome-doc-utils
#gw for building the checks
BuildRequires:  glib2-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch: 	noarch
URL: 		http://www.gtk.org/rdp
Requires:   libxslt-proc
Requires: 	docbook-utils
Requires:   docbook-dtd43-xml
Requires: 	docbook-style-xsl
Requires:	diffutils
%define _requires_exceptions perl(gtkdoc-common.pl)
Requires(post)  : scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3

%description
gtk-doc is a tool for generating API reference documentation.
it is used for generating the documentation for GTK+, GLib
and GNOME.

%prep
%setup -q
%patch -p1

# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
./configure --prefix=%_prefix
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std pkgconfigdir=%pkgconfigdir

# include shared directory
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html

rm -rf %buildroot/var/lib/scrollkeeper

%find_lang %name-manual --with-gnome

%check
PERL5LIB=$(pwd) PATH=$PATH:$(pwd) make check

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name-manual.lang
%defattr(-, root, root)
%doc AUTHORS README doc/* examples
%{_bindir}/*
%{_datadir}/gtk-doc
%{_datadir}/sgml/gtk-doc
%pkgconfigdir/*
%{_datadir}/aclocal/*
%dir %_datadir/omf/%name-manual
%_datadir/omf/%name-manual/*-C.omf




%changelog
* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 1.11-3mdv2009.1
+ Revision: 357179
- fix for files with spaces in their names

* Mon Nov 17 2008 Götz Waschk <waschk@mandriva.org> 1.11-2mdv2009.1
+ Revision: 303874
- enable checks

* Mon Nov 17 2008 Götz Waschk <waschk@mandriva.org> 1.11-1mdv2009.1
+ Revision: 303860
- update build deps
- new version
- fix build
- update license
- update file list

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10-2mdv2009.0
+ Revision: 264644
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.10-1mdv2009.0
+ Revision: 192413
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 05 2007 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2008.1
+ Revision: 95553
- new version
- update file list
- fix configure call


* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 1.8-1mdv2007.0
+ Revision: 121905
- Import gtk-doc

* Fri Feb 16 2007 Gtz Waschk <waschk@mandriva.org> 1.8-1mdv2007.1
- use the new macros
- remove scrollkeeper files
- New version 1.8

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.7-1mdv2007.0
- New release 1.7

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6-2mdv2007.0
- Add missing dependency

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 1.6-1mdk
- New release 1.6

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 1.5-1mdk
- add scrollkeeper stuff
- New release 1.5

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4-2mdk
- Use mkrel

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 1.4-1mdk
- New release 1.4

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 1.3-2mdk
- fix pkgconfig file location

* Mon Jan 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- new source URL
- New release 1.3

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2

